package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag950;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT950Creator;

import java.util.LinkedList;
import java.util.List;

public class Tag61Creator extends AbsTagCreate {

     private MT950Creator mt950Creator;

    public Tag61Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt950Creator = (MT950Creator) absMTCreator;
    }

    public void creator()
    {
        List<String> tag61Value = mt950Creator.getStatementLine();
        if(tag61Value!=null){
            mt950Creator.set("61", tag61Value,true);
        }
    }
}
